Contents
Index 🔎︎

# Faankishinii sirna yaadaa

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Ajaja kana bira gahuuf...

Saagi - Dalaga - Akaakuu Yaayaa

## AND

Yoo qocolloon hunduu DHUGAA ta'an DHUGAA deebisa. Yoo elementiin tokko SOBA ta'e,faankishiniin kun gatii SOBAA deebisa.

Qocolloon sirna yaadaa (DHUGAA,1<5,2+3=7,B8<10) gatii sirna yaadaa deebisa,ykn aareen(A1:C3)gatii sirna yaadaa of keessaa qaba.

#### Syntax

FI(Gatii sirna yaadaa 1;Gatii sirna yaadaa 2; ...Gatii sirna yaadaa 30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

#### Example

Gatiin sirna yaada hundaa 12<13; 14>12, and 7<6 ni mirkanaa'a:

=FI(12<13;14>12;7<6) SOBA deebisa.

=FI(SOBA;DHUGAA) SOBA deebisa.

## FALSE

Gatii sirna yaadaa SOBA deebisa. Faankishiniin SOBAA() yeroo hundaa gaii sirna yaadaa SOBA deebisa.

#### Syntax

FALSE()

#### Example

=N(SOBA) 0 deebisa

=NOT(SOBA()) DHUGAA deebisa.

## IF

sirna yaadaa hojjatamu adda baasa.

#### Syntax

Yoo(Yaalii;Achumaan gatii; Yoo hin taane gatii")

Yaaliin galii kamiyyuu ykn ibsa kan DHUGAA ykn SOBA ta'uu danda'a.

Achumaan gatiin (filannoo) gatii yoo sirni yaada yaalii DHUGAA ta'e deebisa.

Yoo hin taane gatiin (filannoo) gatii yoo sirni yaada yaalii SOBA ta'e deebisa.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

#### Example

=IF(A1>5;100;"baay'ee xiqqaa") Yoo gatiin A1 5 caale,man'ee ammee keessa 100 gala; yoo hintaane,barruun“baay'ee xiqqaa” gala.

## NOT

Gatii yaayaa guuchisaa(garagalchaa).

#### Syntax

NOT(Sirna yaadaa)

GatiiYaayaa gatii garagaru kamuudha.

#### Example

=NOT(A). A=DHUGAA gara A=SOBA.

## OR

Yoo qajeelfamni tokkollee TRUE ta'e TRUE deebisa. Yoo qajeelfamnoonni hunduu gatii yaayyaa FALSE ta'e, Faankishiniin kun FALSE deebisa.

Qocolloon sirna yaadaa (DHUGAA,1<5,2+3=7,B8<10) gatii sirna yaadaa deebisa,ykn aareen(A1:C3)gatii sirna yaadaa of keessaa qaba.

#### Syntax

ykn(Gatii Yaayaa1;Gatii Yaayaa2 ...Gatii Yaayaa30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

#### Example

Gatii yaayyaa kan 12<11;13>12, fi 45=45 hunduu mirkaneeffamuu qaba.

=OR(12<11;13>22;45=45) DHUGAA deebisa.

=OR(SOBA;DHUGAA) DHUGAA deebisa.

## TRUE

Gatiin yaayyaa gara TRUE qindaa'a. Faankishiniin TRUE() qajeelfama kamiyyuu hin barbaadu, yeroo hundaa gatii yaayyaa TRUE deebisa.

#### Syntax

TRUE()

#### Example

Yoo A=TRUE fi B=FALSE fakkeenyi armaan gadii ni mul'ata:

=AND(A;B) FALSE deebisa

=OR(A;B)DHUGAA deebisa.

=NOT(AND(A;B)) DHUGAA deebisa.

## XOR

Returns true if an odd number of arguments evaluates to TRUE.

Qocolloon sirna yaadaa (DHUGAA,1<5,2+3=7,B8<10) gatii sirna yaadaa deebisa,ykn aareen(A1:C3)gatii sirna yaadaa of keessaa qaba.

This function is available since LibreOffice 4.0

#### Syntax

ykn(Gatii Yaayaa1;Gatii Yaayaa2 ...Gatii Yaayaa30)

#### Example

=FI(SOBA;DHUGAA) SOBA deebisa.

=OR(SOBA;DHUGAA) DHUGAA deebisa.

=OR(SOBA;DHUGAA) DHUGAA deebisa.

Matadureewwan Walfakkatan

Functions by Category